## lintex 1.09

=== Makefile ===
# $Id: Makefile,v 1.3 2001/12/02 11:00:05 loreti Exp $

CC = gcc
CFLAGS = -ansi -pedantic -Wall -O3
#CFLAGS = -ansi -pedantic -Wall -O -DFULLDEBUG

ROOT = /usr/local

.PHONY: install clean

lintex:	lintex.c Makefile
	$(CC) $(CFLAGS) -o $@ lintex.c

install: lintex
	strip lintex
	mv lintex   $(ROOT)/bin
	cp lintex.1 $(ROOT)/man/man1

lintex.pdf: lintex.1
	groff -man -Tps $< | ps2pdf - $@

clean:
	-rm *~ *.o core
	-rm lintex lintex.pdf

## lintex 1.06

=== debian/changelog ===
lintex (1.06-1) unstable; urgency=low

  * Initial release (Closes: #581881)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 21 Jun 2010 17:30:15 -0400

=== debian/control ===
Source: lintex
Section: tex
Priority: extra
Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://wwwcdf.pd.infn.it/MLO/index.html

Package: lintex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive-base
Description: automatic cleanup of old TeX-related files
 Removes unneeded files after a (La)TeX run: .aux, .log, .dvi, etc, if their
 timestamp is more recent than the TeX file's. Also removes the backup files
 created by your text editor. This keeps a directory containing multiple (La)TeX
 documents from becoming unmanageable.

=== debian/watch ===
# Upstream does not provide any way to detect new releases. I think upstream
# development has come to a halt, lintex is feature complete.

## lintex 1.08

=== debian/changelog ===
lintex (1.08-1) unstable; urgency=low

  * New upstream release
    - Has various verbosity levels, defaults to only printing the files that
      are removed instead of printing both those which get removed and those
      which don't (Closes: #597271)
  * Updated watch file so that uscan doesn't think there's a slash in
    front of the version
  * Turned on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 01 Oct 2010 19:40:20 -0400

lintex (1.07-1) unstable; urgency=low

  * New upstream release
    - Doesn't delete read only files (Closes: #588777)
    - Includes option to only delete intermediary files (Closes: #588779)
  * Drop 01_update_manpage.diff, no longer needed
  * Drop 03_hyphen-minus-sign.diff, applied upstream
  * Added new upstream author / download location to copyright
  * Added watch file
  * Bumped standards version to 3.9.1, no changes required
  * Updated Homepage: field
  * Added Vcs-* tags
  * Fix typo in long description

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Wed, 11 Aug 2010 19:41:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: extra
 Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
-Homepage: http://wwwcdf.pd.infn.it/MLO/index.html
+Standards-Version: 3.9.1
+Homepage: http://github.com/ryanakca/lintex
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lintex.git
+Vcs-Git: git://git.debian.org/collab-maint/lintex.git
+DM-Upload-Allowed: yes
 
 Package: lintex
 Architecture: any

=== debian/watch ===
version=3
http://githubredir.debian.net/github/ryanakca/lintex /(.*).tar.gz

## lintex 1.09

=== debian/changelog ===
lintex (1.09-1) unstable; urgency=low

  * Imported Upstream version 1.09
    - Adds support for removing files older than their source, (Closes:
      #604989, #604985)
  * Added git-buildpackage config file (debian/gbp.conf)
  * Unapply patches after build to keep git quiet
  * Added DEP3 headers to 02_install_dir.diff
  * Bump debhelper to version 8
  * Bump compat accordingly

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 30 Nov 2010 19:51:05 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: extra
 Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.1
 Homepage: http://github.com/ryanakca/lintex
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lintex.git

## lintex 1.10

=== debian/changelog ===
lintex (1.10-1) unstable; urgency=low

  * Imported Upstream version 1.10
    - Adds list of removal extensions to manpage and removes .thm files,
      (Closes: #611523)
  * Updated copyright holders' years

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 30 Jan 2011 14:11:08 -0500

## lintex 1.11

=== debian/changelog ===
lintex (1.11-1) unstable; urgency=low

  * Imported Upstream version 1.11
    - Removes .synctex.gz files (Closes: #647691)
  * Bump standards version to 3.9.2

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 07 Nov 2011 13:40:55 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/ryanakca/lintex
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lintex.git
 Vcs-Git: git://git.debian.org/collab-maint/lintex.git

## lintex 1.13

=== Makefile ===
# $Id: Makefile,v 1.3 2001/12/02 11:00:05 loreti Exp $

CFLAGS += -ansi -pedantic -Wall `pkg-config --libs --cflags libconfig`
#CFLAGS = -ansi -Wall -g `pkg-config --libs --cflags libconfig`

ROOT = /usr/local

.PHONY: install clean

lintex:	lintex.c Makefile
	$(CC) $(CXXFLAGS) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ lintex.c

install: lintex
	strip lintex
	mv lintex   $(ROOT)/bin
	cp lintex.1 $(ROOT)/man/man1

lintex.pdf: lintex.1
	groff -man -Tps $< | ps2pdf - $@

clean:
	-rm *~ *.o core
	-rm lintex lintex.pdf

=== debian/changelog ===
lintex (1.13-1ubuntu1) raring; urgency=low

  * debian/patches/06_ld-as-needed.diff:
    Move the libraries to link with from CFLAGS to LIBS (fixes FTBFS with ld
    --as-needed).

 -- Michael Bienia <geser@ubuntu.com>  Fri, 02 Nov 2012 10:27:24 +0100

lintex (1.13-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.13
  * Added .pc to .gitignore
  * Switch to @debian.org and drop DMUA
  * Bump standards to 3.9.3
  * Bump debhelper to >= 9 and compat to 9
  * Build-depend on libconfig-dev and pkg-config
  * Don't force the use of gcc, 03_dont_force_gcc.diff
  * Fixed typo in manpage, 04_man_typo.diff
  * Use dh's CFLAGS/CPPFLAGS/LDFLAGS, 05_CFLAGS.diff
  * Install lintexrc as an example
  * Fix watchfile to properly name tarball

 -- Ryan Kavanagh <rak@debian.org>  Mon, 10 Sep 2012 19:14:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: lintex
 Section: tex
 Priority: extra
-Maintainer: Ryan Kavanagh <ryanakca@kubuntu.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
+Build-Depends: debhelper (>= 9)
+ , libconfig-dev
+ , pkg-config
+Standards-Version: 3.9.3
 Homepage: http://github.com/ryanakca/lintex
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lintex.git
 Vcs-Git: git://git.debian.org/collab-maint/lintex.git
-DM-Upload-Allowed: yes
 
 Package: lintex
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s@.*/(.*)@lintex-$1@ \
  http://githubredir.debian.net/github/ryanakca/lintex /(.*).tar.gz

## lintex 1.14

=== Makefile ===
# $Id: Makefile,v 1.3 2001/12/02 11:00:05 loreti Exp $

CFLAGS += -ansi -pedantic -Wall `pkg-config --cflags libconfig`
#CFLAGS = -ansi -Wall -g `pkg-config --cflags libconfig`
LIBS += `pkg-config --libs libconfig`

ROOT = /usr/local

.PHONY: install clean

lintex:	lintex.c Makefile
	$(CC) $(CXXFLAGS) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ lintex.c $(LIBS)

install: lintex
	strip lintex
	mv lintex   $(ROOT)/bin
	cp lintex.1 $(ROOT)/man/man1

lintex.pdf: lintex.1
	groff -man -Tps $< | ps2pdf - $@

clean:
	-rm *~ *.o core
	-rm lintex lintex.pdf

=== debian/changelog ===
lintex (1.14-2build1) plucky; urgency=medium

  * No-change rebuild for libconfig11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 27 Jan 2025 19:46:01 +0000

lintex (1.14-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Helmut Grohne ]
  * Fix FTCBFS, 03_crossbuild.patch (Closes: #929240)
  * Replace stripping make install with debian/lintex.install

  [ Ryan Kavanagh ]
  * Bump standards-version to 4.4.0
  * Migrate copyright file to dep-5 format
  * Fix spelling mistake, 04_typo.diff

 -- Ryan Kavanagh <rak@debian.org>  Sat, 17 Aug 2019 11:37:50 -0400

lintex (1.14-1) unstable; urgency=medium

  * Imported Upstream version 1.14
    + Fix incorrect keys in manpage (Closes: #693595)
    + Refresh patches
  * Bump standards version to 3.9.6
  * Update copyright file
  * Update watch file to no longer use githubredir
  * Make Vcs-* fields canonical

 -- Ryan Kavanagh <rak@debian.org>  Sun, 08 Feb 2015 18:59:06 -0500

lintex (1.13-1) unstable; urgency=low

  * Imported Upstream version 1.13
  * Added .pc to .gitignore
  * Switch to @debian.org and drop DMUA
  * Bump standards to 3.9.3
  * Bump debhelper to >= 9 and compat to 9
  * Build-depend on libconfig-dev and pkg-config
  * Don't force the use of gcc, 03_dont_force_gcc.diff
  * Fixed typo in manpage, 04_man_typo.diff
  * Use dh's CFLAGS/CPPFLAGS/LDFLAGS, 05_CFLAGS.diff
  * Install lintexrc as an example
  * Fix watchfile to properly name tarball

 -- Ryan Kavanagh <rak@debian.org>  Mon, 10 Sep 2012 19:14:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: lintex
 Section: tex
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
+Priority: optional
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper (>= 9)
  , libconfig-dev
  , pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 4.4.0
 Homepage: http://github.com/ryanakca/lintex
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lintex.git
-Vcs-Git: git://git.debian.org/collab-maint/lintex.git
+Vcs-Browser: https://salsa.debian.org/debian/lintex
+Vcs-Git: https://salsa.debian.org/debian/lintex.git
 
 Package: lintex
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_install:
